CUPTI (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.70. CUpti_SynchronizeData Struct Reference

## [CUPTI Callback API]

Data passed into a synchronize callback function as the `cbdata` argument to CUpti_CallbackFunc. The `cbdata` will be this type for `domain` equal to CUPTI_CB_DOMAIN_SYNCHRONIZE. The callback data is valid only within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of that data.

### Public Variables

CUcontext context
CUstream stream

### Variables

CUcontext CUpti_SynchronizeData::context [inherited]

  The context of the stream being synchronized.

CUstream CUpti_SynchronizeData::stream [inherited]

  The stream being synchronized.